flink-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From se...@apache.org
Subject [4/6] flink git commit: [FLINK-5684] [web frontend] Add MacOS section to README.md
Date Tue, 31 Jan 2017 13:03:28 GMT
[FLINK-5684] [web frontend] Add MacOS section to README.md

This closes #3234


Project: http://git-wip-us.apache.org/repos/asf/flink/repo
Commit: http://git-wip-us.apache.org/repos/asf/flink/commit/a2a11ddf
Tree: http://git-wip-us.apache.org/repos/asf/flink/tree/a2a11ddf
Diff: http://git-wip-us.apache.org/repos/asf/flink/diff/a2a11ddf

Branch: refs/heads/master
Commit: a2a11ddf5b219221606b7f1a2e65020a9b146600
Parents: 478f5d1
Author: Ivan Mushketyk <ivan.mushketik@gmail.com>
Authored: Sun Jan 29 17:03:02 2017 +0000
Committer: Stephan Ewen <sewen@apache.org>
Committed: Tue Jan 31 14:02:44 2017 +0100

----------------------------------------------------------------------
 flink-runtime-web/README.md | 34 ++++++++++++++++++++++++++++++++--
 1 file changed, 32 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flink/blob/a2a11ddf/flink-runtime-web/README.md
----------------------------------------------------------------------
diff --git a/flink-runtime-web/README.md b/flink-runtime-web/README.md
index 5f27077..d29a5e2 100644
--- a/flink-runtime-web/README.md
+++ b/flink-runtime-web/README.md
@@ -60,18 +60,48 @@ Install *node.js* by following [these instructions](https://github.com/joyent/no
 
 Verify that the installed version is at least *2.11.3*, via `npm -version`.
 
+Install *bower* via:
 
-Install *bower* via
 ```
 sudo npm install -g bower
 ```
+
+Verify that the installed version is at least *1.4.1*, via `bower -version`.
+
+
+Install *gulp* via:
+
+```
+sudo npm install -g gulp
+```
+
+Verify that the installed version is at least *3.9.0*, via `gulp -version`.
+
+
+#### MacOS
+
+First install *brew* by following [these instructions](http://brew.sh/).
+
+Install *node.js* via:
+
+```
+brew install node
+```
+
+Install *bower* via:
+
+```
+sudo npm install -g bower
+```
+
 Verify that the installed version is at least *1.4.1*, via `bower -version`.
 
+Install *gulp* via:
 
-Install *gulp* via
 ```
 sudo npm install -g gulp
 ```
+
 Verify that the installed version is at least *3.9.0*, via `gulp -version`.
 
 


Mime
View raw message